import ItemSummary from "./itemSummary.vue";
import ItemSummaryPc from "./itemSummaryPc.vue";

export default {
  title: "Item Summary components",
};

export const itemSummary = () => ({
  components: { ItemSummary },
  props: {
    rating: "",
    countOfReviews: 0,
    fixedPrice: 0,
    goodsPrice: 0,
    goodsName: "",
    brandName: "",
    hasSpecialPrice: true,
    hasInstantDiscount: true,
    itemImageUrl: "",
    itemImageUrls: [],
    onSuccess: null,
    onFail: null,
    goDetailReview: null,
    showSnsShare: null,
    goodsNo: "",
    isLogin: false,
    onClickMemberItem: null,
  },
  template:
    "<item-summary v-bind='$props' v-on:on-success='onSuccess' v-on:go-detail-review='goDetailReview' v-on:show-sns-share='showSnsShare'></item-summary>",
});
itemSummary.args = {
  rating: "4.5",
  countOfReviews: 10,
  fixedPrice: 799000,
  goodsPrice: 543000,
  goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
  brandName: "샤오미",
  hasSpecialPrice: true,
  hasInstantDiscount: true,
  onSuccess: () => {
    console.log("success");
  },
  onFail: () => {
    console.log("fail");
  },
  goDetailReview: () => {
    console.log("goDetailReview");
  },
  showSnsShare: () => {
    console.log("showSnsShare");
  },
  itemImageUrl:
    "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
  itemImageUrls: [
    "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
    "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
    "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
  ],
  goodsNo: "1000000255",
  isLogin: false,
  onClickMemberItem: () => {
    console.log("click memeber itme => go login");
  },
};

export const itemSummaryPc = () => ({
  components: { ItemSummaryPc },
  props: {
    rating: "",
    countOfReviews: 0,
    fixedPrice: 0,
    goodsPrice: 0,
    goodsName: "",
    brandName: "",
    hasSpecialPrice: true,
    hasInstantDiscount: true,
    onSuccess: null,
    onFail: null,
    goDetailReview: null,
    showSnsShare: null,
    goodsNo: "",
    isLogin: false,
    onClickMemberItem: null,
  },
  template:
    "<item-summary-pc v-bind='$props' v-on:on-success='onSuccess' v-on:go-detail-review='goDetailReview' v-on:show-sns-share='showSnsShare'></item-summary-pc>",
});
itemSummaryPc.args = {
  rating: "4.5",
  countOfReviews: 10,
  fixedPrice: 799000,
  goodsPrice: 543000,
  goodsName: "[국내정품] 샤오미 드리미 무선 청소기 T20",
  brandName: "샤오미",
  hasSpecialPrice: true,
  hasInstantDiscount: true,
  onSuccess: () => {
    console.log("success");
  },
  onFail: () => {
    console.log("fail");
  },
  goDetailReview: () => {
    console.log("goDetailReview");
  },
  showSnsShare: () => {
    console.log("showSnsShare");
  },
  goodsNo: "1000000255",
  isLogin: false,
  onClickMemberItem: () => {
    console.log("click memeber itme => go login");
  },
};
