import OrderPage from "./orderPage.vue";
import OrderSuccessPage from "./orderSuccessPage.vue";

export default {
  title: "Order components",
};

export const orderPage = () => ({
  components: { OrderPage },
  template: "<order-page v-bind='$props'></order-page>",
  props: {
    isRentalPage: false,
    holdingPoints: 0,
    priceInfo: {},
    orderedItems: [],
    userInfo: {},
    deliveryList: [],
    onPayItems: null,
    onSaveDeliveryInfo: null,
    onSuccessOrderPage: null,
  },
});
orderPage.args = {
  isRentalPage: false,
  orderedItems: [
    [
      {
        id: 0,
        brandName: "이스트라",
        goodsNo: "1000002108",
        goodsNm:
          "이스트라 쿠카 UC431UHD 5년무상AS 프리미엄 안드로이드 43인치 LG IPS패널 스마트TV",
        price: 365660,
        imgUrl: "/data/goods/22/01/01/1000002108/1000002108_list_046.jpg",
        goodsCnt: 1,
        option: { 배송형태: "스텐드형 설치(기사방문)", 색상: "퓨어 화이트" },
        deliveryFee: "기본 - 고정배송비 2,500원 (택배-착불)",
      },
    ],
    [
      {
        id: 1,
        goodsNo: "1000001810",
        brandName: "샤오미",
        goodsNm: "드리미 셀프클리닝 W10 물걸레 로봇청소기",
        price: 899000,
        imgUrl: "/data/goods/21/11/48/1000001810/1000001810_detail_034.jpg",
        goodsCnt: 1,
        option: { 색상: "퓨어 화이트" },
        deliveryFee: "기본 - 배송비무료 무료배송 (택배-선결제)",
      },
      {
        id: 2,
        goodsNo: "1000000376",
        brandName: "샤오미",
        goodsNm: "[국내정품] 샤오미 드리미 무선 청소기 T20",
        price: 339000,
        imgUrl: "/data/goods/21/03/11/1000000376/1000000376_detail_020.jpg",
        goodsCnt: 1,
        deliveryFee: "무료배송",
      },
    ],
  ],
  holdingPoints: 5000,
  priceInfo: {
    totalItemPrice: 437700,
    totalDeliveryPrice: 2500,
    totalDiscountPrice: 30000,
    totalPrice: 410200,
  },
  userInfo: {
    // 주문자 정보
    name: "노써치",
    phoneNumber: "010-1234-5678",
    email: "dw@nosearch.com",
    //email: "",
  },
  deliveryList: [
    {
      defaultFl: "y", // 기본배송지
      sno: 1,
      shippingTitle: "회사",
      shippingName: "노써치",
      shippingCellPhone: "010-1234-5678",
      shippingZonecode: "08506",
      shippingAddress: "서울특별시 금천구 가산디지털2로 98 (IT캐슬)",
      shippingAddressSub: "롯데IT캐슬 2동 1212호",
    },
    {
      defaultFl: "n",
      sno: 2,
      shippingTitle: "우리집",
      shippingName: "이도원",
      shippingCellPhone: "010-1111-2222",
      shippingZonecode: "05341",
      shippingAddress: "서울특별시 강동구 길동",
      shippingAddressSub: "2동 1212호",
    },
    {
      defaultFl: "n",
      sno: 3,
      shippingTitle: "친구집",
      shippingName: "홍길동",
      shippingCellPhone: "010-3333-4444",
      shippingZonecode: "12345",
      shippingAddress: "서울특별시 강남구 도산대로",
      shippingAddressSub: "102-303",
    },
  ],
  onPayItems: () => {
    console.log("ready to pay items");
  },
  onSaveDeliveryInfo: () => {
    console.log("save delivery info");
    return true;
  },
  onSuccessOrderPage: () => {
    console.log("success order page");
    return true;
  },
};

export const orderSuccessPage = () => ({
  components: { OrderSuccessPage },
  template: "<order-success-page></order-success-page>",
});
