import ReviewPage from "./reviewPage.vue";
import ReviewSummary from "./reviewSummary.vue";
import ReviewSummaryPc from "./reviewSummaryPc.vue";

export default {
  title: "Review components",
};

export const reviewPage = () => ({
  components: { ReviewPage },
  props: {
    reviewCount: 0,
    reviews: [],
    allCountOfPhotoReviews: 0,
    photoReviews: [],
    reviewAverage: "",
    reviewRating1: 0,
    reviewRating2: 0,
    reviewRating3: 0,
    reviewRating4: 0,
    reviewRating5: 0,
    filteringType: "",
  },
  template: "<review-page v-bind='$props'></review-page>",
});
reviewPage.args = {
  reviewCount: 50,
  reviews: [
    {
      rating: "4.5",
      userId: "nosearch",
      createdAt: "21.10.07",
      option: "색상 : 메탈그레이",
      description:
        "샤오미 V10이랑 많이 고민했는데, 확실히 성능 좋습니다. 전자 계기판 보는데 기존 청소에 대한 인식을 바꿀 정도로 세련됐어요. 본인이 고가의 제품을 고려하지 않으신다면 가격 이상으로 만족하실겁니다. 청소 할 때 계속 누르고 있는 부분도 부담 없을 정도로 가볍습니다. 부품 디테일이나 세척도 용이하구요. 유일한 단점이라면 물청소 성능이 조금 아쉽다는 점이 있습니다.",
      countOfHelp: 5,
      amIchecked: true,
    },
    {
      rating: "4.5",
      userId: "nosearch",
      createdAt: "21.10.07",
      option: "색상 : 메탈그레이",
      description:
        "샤오미 V10이랑 많이 고민했는데, 확실히 성능 좋습니다. 전자 계기판 보는데 기존 청소에 대한 인식을 바꿀 정도로 세련됐어요. 본인이 고가의 제품을 고려하지 않으신다면 가격 이상으로 만족하실겁니다. 청소 할 때 계속 누르고 있는 부분도 부담 없을 정도로 가볍습니다. 부품 디테일이나 세척도 용이하구요. 유일한 단점이라면 물청소 성능이 조금 아쉽다는 점이 있습니다.",
      countOfHelp: 5,
      amIchecked: false,
    },
    {
      rating: "4.5",
      userId: "nosearch",
      createdAt: "21.10.07",
      option: "색상 : 메탈그레이",
      description:
        "샤오미 V10이랑 많이 고민했는데, 확실히 성능 좋습니다. 전자 계기판 보는데 기존 청소에 대한 인식을 바꿀 정도로 세련됐어요. 본인이 고가의 제품을 고려하지 않으신다면 가격 이상으로 만족하실겁니다. 청소 할 때 계속 누르고 있는 부분도 부담 없을 정도로 가볍습니다. 부품 디테일이나 세척도 용이하구요. 유일한 단점이라면 물청소 성능이 조금 아쉽다는 점이 있습니다.",
      countOfHelp: 5,
      amIchecked: true,
    },
  ],
  allCountOfPhotoReviews: 20,
  photoReviews: [
    {
      url:
        "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
      countOfImages: 2,
    },
    {
      url:
        "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
      countOfImages: 1,
    },
    {
      url:
        "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
      countOfImages: 1,
    },
  ],
  reviewAverage: "3.5",
  reviewRating1: 0,
  reviewRating2: 0,
  reviewRating3: 3,
  reviewRating4: 12,
  reviewRating5: 35,
  filteringType: "추천순",
};

export const reviewSummary = () => ({
  components: { ReviewSummary },
  props: {
    reviewAverage: "",
    reviewCount: 0,
    reviewRating1: 0,
    reviewRating2: 0,
    reviewRating3: 0,
    reviewRating4: 0,
    reviewRating5: 0,
  },
  template: "<review-summary v-bind='$props'></review-summary>",
});
reviewSummary.args = {
  reviewAverage: "4.5455",
  reviewCount: 22,
  reviewRating1: 0,
  reviewRating2: 0,
  reviewRating3: 3,
  reviewRating4: 4,
  reviewRating5: 15,
};

export const reviewSummaryPc = () => ({
  components: { ReviewSummaryPc },
  props: {
    reviewAverage: "",
    reviewCount: 0,
    reviewRating1: 0,
    reviewRating2: 0,
    reviewRating3: 0,
    reviewRating4: 0,
    reviewRating5: 0,
  },
  template: "<review-summary-pc v-bind='$props'></review-summary-pc>",
});
reviewSummaryPc.args = {
  reviewAverage: "4.5455",
  reviewCount: 22,
  reviewRating1: 0,
  reviewRating2: 0,
  reviewRating3: 3,
  reviewRating4: 4,
  reviewRating5: 15,
};
