import FirstComponent from "../components/firstComponent.vue";
import SecondComponent from "../components/secondComponent.vue";
import KakaoBanner from "../components/kakaoBanner.vue";
import TimedealTimer from "../components/timedealTimer.vue";
import ItemDetail from "../components/itemDetail.vue";
import BestItems from "../components/bestItems.vue";
import TestVideo from "../components/testVideo.vue";
import NsDealAd from "../components/nsDealAd.vue";
import NsDealReviewIframe from "../components/nsDealReviewIframe.vue";
import NsSpecIframe from "../components/nsSpecIframe.vue";
import SkeletonIframe from "../elements/skeletonIframe.vue";
import ReviewAnalysisPage from "../components/reviewAnalysis/reviewAnalysisPage.vue";

export default {
  title: "Store components",
};

export const firstComponent = () => ({
  components: { FirstComponent },
  template: "<first-component message='dddd'></first-component>",
});

export const secondComponent = () => ({
  components: { SecondComponent },
  props: { items: [], nameProp: "" },
  template:
    "<second-component message='dddd' v-bind='$props'></second-component>",
});

secondComponent.args = {
  items: ["a1", "23"],
  nameProp: "hansol",
};

export const kakaoBanner = () => ({
  components: { KakaoBanner },
  template: "<kakao-banner></kakao-banner>",
});
// var cateCd = "007001";
// var goodsCd = "AP500";
// var goodsNo = "100214124";
// var goodsNm = "한일 아기바람 BLDC 선풍기 DCF-400R";

export const timedealTimer = () => ({
  components: { TimedealTimer },
  props: {
    benefitUseType: "",
    periodDiscountStart: "",
    periodDiscountEnd: "",
  },
  template: "<timedeal-timer v-bind='$props'></timedeal-timer>",
});
timedealTimer.args = {
  benefitUseType: "periodDiscount",
  periodDiscountStart: "2021-10-07 00:00:00",
  periodDiscountEnd: "2022-03-31 00:00:00",
};

export const itemDetail = () => ({
  components: { ItemDetail },
  template: "<item-detail v-bind='$props'></item-detail>",
  props: {
    itmeDetailInfo: "",
  },
});
itemDetail.args = {
  itemInfoImageUrls: [
    "http://img.jcohsmall.com/kdnavien/notice_800.jpg",
    "http://img.jcohsmall.com/kdnavien/EQM352_860.jpg",
    "http://img.jcohsmall.com/kdnavien/EQM352_860_01.gif",
    "http://img.jcohsmall.com/kdnavien/EQM352_860_02.jpg",
  ],
};

export const bestItems = () => ({
  components: { BestItems },
  template: "<best-items v-bind='$props'></best-items>",
  props: {
    cateCd: "",
    onBestItemsExist: null,
    isLogin: false,
  },
});
bestItems.args = {
  cateCd: "005010",
  onBestItemsExist: () => {
    console.log("bestItems exist");
  },
  isLogin: false,
};

export const testVideo = () => ({
  components: { TestVideo },
  template: "<test-video v-bind='$props'></test-video>",
  props: {
    cateCd: "",
    goodsNo: "",
    goodsCd: "",
  },
});
testVideo.args = {
  cateCd: "005001",
  goodsNo: "1000000382",
  goodsCd: "S5",
};

export const nsDealAd = () => ({
  components: { NsDealAd },
  template: "<ns-deal-ad v-bind='$props'></ns-deal-ad>",
  props: {
    cateCd: "",
    isMobileDevice: false,
    isApp: false,
  },
});
nsDealAd.args = {
  cateCd: "008",
  isMobileDevice: false,
  isApp: false,
};

export const nsDealReviewIframe = () => ({
  components: { NsDealReviewIframe },
  template: "<ns-deal-review-iframe v-bind='$props'></ns-deal-review-iframe>",
  props: {
    goodsNo: "",
    goodsCd: "",
    cateCd: "",
    onNsReviewIframe: null,
  },
});
nsDealReviewIframe.args = {
  goodsNo: "1000000021",
  goodsCd: "VB-HM303W",
  cateCd: "007002",
  onNsReviewIframe: () => {
    console.log("success ns review iframe");
  },
};

export const nsSpecIframe = () => ({
  components: { NsSpecIframe },
  template: "<ns-spec-iframe v-bind='$props'></ns-spec-iframe>",
  props: {
    goodsNo: "",
    goodsCd: "",
    cateCd: "",
    onClickSpecIframeOpenBtn: null,
  },
});
nsSpecIframe.args = {
  goodsNo: "1000000021",
  goodsCd: "VB-HM303W",
  cateCd: "007002",
  onClickSpecIframeOpenBtn: () => {
    console.log("click spec iframe open button");
  },
};

export const skeletonIframe = () => ({
  components: { SkeletonIframe },
  template: "<skeleton-iframe></skeleton-iframe>",
});

export const reviewAnalysisPage = () => ({
  components: { ReviewAnalysisPage },
  template: "<review-analysis-page v-bind='$props'></review-analysis-page>",
  props: {
    goodsNo: "",
    goodsCd: "",
    onSuccess: null,
  },
});
reviewAnalysisPage.args = {
  // goodsNo: "1000000376",
  // goodsCd: "T20",
  goodsNo: "1000000376",
  goodsCd: "VS15R8500BF",
  onSuccess: () => {
    console.log("reviewAnalysisPage success");
  },
};
