import { shallowMount, mount } from "@vue/test-utils";
import FirstComponent from "@/components/firstComponent.vue";
import SecondComponent from "@/components/secondComponent.vue";
import SpecSummary from "@/components/specSummary/specSummary.vue";

describe("firstComponent.vue", () => {
  it("render 완료 체크", () => {
    const msg = "new message";
    const wrapper = shallowMount(FirstComponent, {
      propsData: { msg },
    });
    const h1 = wrapper.find("h1");
    expect(h1.text()).toContain("First Component");
  });
});

describe("secondComponent.vue", () => {
  it("render 완료 체크", () => {
    const wrapper = shallowMount(SecondComponent, {
      propsData: { items: ["a1", "a2", "a3"], nameProp: "hansol" },
    });
    const h1 = wrapper.find("h1");
    expect(h1.text()).toContain("Second Component: hansol");

    const divs = wrapper.findAll(".item");
    expect(divs.length).toEqual(3);

    expect(divs.at(1).text()).toEqual("a2");
  });
});

describe("specSummary.vue", () => {
  it("render 완료 체크", async () => {
    const wrapper = mount(SpecSummary, {
      propsData: {
        cateCd: "007001",
        goodsCd: "AP500",
        goodsNo: "100214124",
        goodsNm: "한일 아기바람 BLDC 선풍기 DCF-400R",
      },
    });
    console.log(wrapper.vm.$data);

    //expect(table).not(null);
    //expect(trArray.length).toBeGreaterThan(0);
  });
});
