import { mount } from "@vue/test-utils";
import ItemDetail from "@/components/itemDetail.vue";

describe("itemDetail.vue", () => {
  it("상품 상세 이미지 + 접기 상태", async () => {
    const wrapper = mount(ItemDetail, {
      propsData: {
        itemInfoImageUrls: [
          "http://img.jcohsmall.com/kdnavien/notice_800.jpg",
          "http://img.jcohsmall.com/kdnavien/EQM352_860.jpg",
          "http://img.jcohsmall.com/kdnavien/EQM352_860_01.gif",
          "http://img.jcohsmall.com/kdnavien/EQM352_860_02.jpg",
        ],
      },
    });

    const itemDetail = wrapper.find("div");
    const itemDetailImagesWrapper = itemDetail.find(
      "div.item-detail-images-wrapper"
    );
    expect(itemDetailImagesWrapper.attributes().style).toBe(
      "overflow: hidden; height: 90vh;"
    );
    const itemDetailImages = itemDetailImagesWrapper.find("div");
    expect(itemDetailImages.findAll("img").length).toBe(4);

    expect(itemDetail.find("div.item-detail-dim").exists()).toBe(true);

    const itemDetailOpenButton = itemDetail.find(
      "button.item-detail-open-button"
    );
    const itemDetailOpenButtonText = itemDetailOpenButton.find(
      "span.item-detail-open-button-text"
    );
    expect(itemDetailOpenButtonText.text()).toContain("펼치기");
    const itemDetailOpenButtonIcon = itemDetailOpenButton.find("img");
    expect(itemDetailOpenButtonIcon.attributes().style).toContain(
      "transform: rotate(180deg);"
    );
  });

  it("상품 상세 이미지 + 펼치기 상태", async () => {
    const wrapper = mount(ItemDetail, {
      propsData: {
        itemInfoImageUrls: [
          "http://img.jcohsmall.com/kdnavien/notice_800.jpg",
          "http://img.jcohsmall.com/kdnavien/EQM352_860.jpg",
          "http://img.jcohsmall.com/kdnavien/EQM352_860_01.gif",
          "http://img.jcohsmall.com/kdnavien/EQM352_860_02.jpg",
        ],
      },
    });

    const itemDetail = wrapper.find("div");
    const itemDetailOpenButton = itemDetail.find(
      "button.item-detail-open-button"
    );

    // 펼치기 버튼 클릭
    itemDetailOpenButton.trigger("click");
    await wrapper.vm.$nextTick();

    const itemDetailImagesWrapper = itemDetail.find(
      "div.item-detail-images-wrapper"
    );
    expect(itemDetailImagesWrapper.attributes().style).toBe(
      "overflow: visible; height: auto;"
    );

    expect(itemDetail.find("div.item-detail-dim").exists()).toBe(false);

    const itemDetailOpenButtonText = itemDetailOpenButton.find(
      "span.item-detail-open-button-text"
    );
    expect(itemDetailOpenButtonText.text()).toContain("접기");
    const itemDetailOpenButtonIcon = itemDetailOpenButton.find("img");
    expect(itemDetailOpenButtonIcon.attributes().style).toContain(
      "transform: rotate(0deg);"
    );
  });
});
