import { mount } from "@vue/test-utils";
// import ItemSummary from "@/components/itemSummary/itemSummary.vue";
import StarRating from "@/components/itemSummary/starRating.vue";

describe("starRating.vue", () => {
  it("별점 5개 테스트", async () => {
    const wrapper = mount(StarRating, {
      propsData: {
        rating: "5",
      },
    });

    const itemStarRating = wrapper.find("div.item-summary-star-rating");
    const itemStarRatingFill = itemStarRating.find(
      "div.item-summary-star-rating-fill"
    );
    expect(itemStarRatingFill.findAll("span").length).toBe(5);
    expect(itemStarRatingFill.attributes().style).toBe("width: 100%;");
    const itemStarRatingFillSpan = itemStarRatingFill.find("span");
    expect(itemStarRatingFillSpan.text()).toContain("★");
    const itemStarRatingBase = itemStarRating.find(
      "div.item-summary-star-rating-base"
    );
    expect(itemStarRatingFill.findAll("span").length).toBe(5);
    const itemStarRatingBaseSpan = itemStarRatingBase.find("span");
    expect(itemStarRatingBaseSpan.text()).toContain("★");
  });

  it("별점 3.5개 테스트", async () => {
    const wrapper = mount(StarRating, {
      propsData: {
        rating: "3.5",
      },
    });

    const itemStarRating = wrapper.find("div.item-summary-star-rating");
    const itemStarRatingFill = itemStarRating.find(
      "div.item-summary-star-rating-fill"
    );
    expect(itemStarRatingFill.attributes().style).toBe("width: 70%;");
  });
});

// describe("itemSummary.vue", () => {
//   it("기본 render 체크 (리뷰 > 0, 할인 O, 특가 O, 즉시 할인 O)", async () => {
//     const wrapper = mount(ItemSummary, {
//       propsData: {
//         rating: "4.5",
//         countOfReviews: 10,
//         fixedPrice: 799000,
//         goodsPrice: 543000,
//         goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
//         brandName: "샤오미",
//         hasSpecialPrice: true,
//         hasInstantDiscount: true,
//         onSuccess: () => {},
//         goDetailReview: () => {},
//         itemImageUrl:
//           "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
//         itemImageUrls: [
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
//         ],
//       },
//     });

//     // item image
//     // const itemImage = wrapper.find("img.item-summary-image");
//     // expect(itemImage.length).toBe(1);
//     // item title + share button
//     const itemTitle = wrapper.find("div.item-title-wrapper");
//     const itemNames = itemTitle.find("div.item-names");
//     const itemBrandName = itemNames.find("span.item-brand-text");
//     expect(itemBrandName.text()).toContain("샤오미");
//     const itemName = itemNames.find("h3.item-name-text");
//     expect(itemName.text()).toContain(
//       "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품"
//     );
//     const itemShareButton = itemTitle.find("div.item-share-button");
//     const itemShareImage = itemShareButton.find("img");
//     expect(itemShareImage.element.alt).toEqual("item-share-button");
//     const itemShareText = itemTitle.find("div");
//     expect(itemShareText.text()).toContain("공유");

//     // review link
//     const itemReviewRating = wrapper.find("div.item-review-rating");
//     const itemReviewLink = itemReviewRating.find("div.item-review-link");
//     const itemReviewLinkText = itemReviewLink.find("div.item-review-link-text");
//     expect(itemReviewLinkText.text()).toContain("10개의 구매후기");
//     const itemReviewLinkButton = itemReviewLink.find("img");
//     expect(itemReviewLinkButton.element.alt).toEqual("go-item-review-button");

//     // price
//     const itemPriceWrapper = wrapper.find("div.item-price-wrapper");
//     const itemFixedPrice = itemPriceWrapper.find("div.item-fixed-price-text");
//     expect(itemFixedPrice.text()).toContain("799,000원");
//     const itemDiscountPercentage = itemPriceWrapper.find(
//       "div.item-discount-percentage-text"
//     );
//     expect(itemDiscountPercentage.text()).toContain("32%");
//     const itemPrice = itemPriceWrapper.find("div.item-price-text");
//     expect(itemPrice.text()).toContain("543,000원");
//     const specialPriceButton = itemPriceWrapper.find("div.specail-price-badge");
//     expect(specialPriceButton.text()).toContain("특가");
//     const instantDiscountButton = itemPriceWrapper.find(
//       "div.instant-discount-badge"
//     );
//     expect(instantDiscountButton.text()).toContain("즉시 할인가");
//   });

//   it("리뷰 없을 때 테스트", async () => {
//     const wrapper = mount(ItemSummary, {
//       propsData: {
//         rating: "0",
//         countOfReviews: 0,
//         fixedPrice: 799000,
//         goodsPrice: 543000,
//         goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
//         brandName: "샤오미",
//         hasSpecialPrice: true,
//         hasInstantDiscount: true,
//         onSuccess: () => {},
//         goDetailReview: () => {},
//         itemImageUrl:
//           "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
//         itemImageUrls: [
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
//         ],
//       },
//     });

//     expect(wrapper.html().includes("div.item-review-rating")).toBe(false);
//     expect(wrapper.html().includes("a.item-review-link")).toBe(false);
//     expect(wrapper.html().includes("div.item-review-link-text")).toBe(false);
//     expect(wrapper.html().includes("img.item-review-link-img")).toBe(false);
//   });

//   it("할인 안할 때 테스트", async () => {
//     const wrapper = mount(ItemSummary, {
//       propsData: {
//         rating: "3.5",
//         countOfReviews: 10,
//         fixedPrice: 799000,
//         goodsPrice: 799000,
//         goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
//         brandName: "샤오미",
//         hasSpecialPrice: true,
//         hasInstantDiscount: true,
//         onSuccess: () => {},
//         goDetailReview: () => {},
//         itemImageUrl:
//           "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
//         itemImageUrls: [
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
//         ],
//       },
//     });

//     const itemPriceWrapper = wrapper.find("div.item-price-wrapper");
//     expect(itemPriceWrapper.html().includes("div.item-fixed-price-text")).toBe(
//       false
//     );
//     expect(
//       itemPriceWrapper.html().includes("div.item-discount-percentage-text")
//     ).toBe(false);
//     const itemPrice = itemPriceWrapper.find("div.item-price-text");
//     expect(itemPrice.text()).toContain("799,000원");
//   });

//   it("특가 O, 즉시 할인 X", async () => {
//     const wrapper = mount(ItemSummary, {
//       propsData: {
//         rating: "4.5",
//         countOfReviews: 10,
//         fixedPrice: 799000,
//         goodsPrice: 543000,
//         goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
//         brandName: "샤오미",
//         hasSpecialPrice: true,
//         hasInstantDiscount: false,
//         onSuccess: () => {},
//         goDetailReview: () => {},
//         itemImageUrl:
//           "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
//         itemImageUrls: [
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
//         ],
//       },
//     });

//     const itemPriceWrapper = wrapper.find("div.item-price-wrapper");
//     const specialPriceButton = itemPriceWrapper.find("div.specail-price-badge");
//     expect(specialPriceButton.text()).toContain("특가");
//     expect(wrapper.html().includes("div.instant-discount-badge")).toBe(false);
//   });

//   it("특가 X, 즉시 할인 O", async () => {
//     const wrapper = mount(ItemSummary, {
//       propsData: {
//         rating: "4.5",
//         countOfReviews: 10,
//         fixedPrice: 799000,
//         goodsPrice: 543000,
//         goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
//         brandName: "샤오미",
//         hasSpecialPrice: false,
//         hasInstantDiscount: true,
//         onSuccess: () => {},
//         goDetailReview: () => {},
//         itemImageUrl:
//           "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
//         itemImageUrls: [
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
//         ],
//       },
//     });

//     const itemPriceWrapper = wrapper.find("div.item-price-wrapper");
//     expect(wrapper.html().includes("div.specail-price-badge")).toBe(false);
//     const instantDiscountButton = itemPriceWrapper.find(
//       "div.instant-discount-badge"
//     );
//     expect(instantDiscountButton.text()).toContain("즉시 할인가");
//   });

//   it("특가 X, 즉시 할인 X", async () => {
//     const wrapper = mount(ItemSummary, {
//       propsData: {
//         rating: "4.5",
//         countOfReviews: 10,
//         fixedPrice: 799000,
//         goodsPrice: 543000,
//         goodsName: "[재입고] 샤오미 드리미 무선 청소기 T20 국내정품",
//         brandName: "샤오미",
//         hasSpecialPrice: false,
//         hasInstantDiscount: false,
//         onSuccess: () => {},
//         goDetailReview: () => {},
//         itemImageUrl:
//           "https://d2y6zz7jd7ckrn.cloudfront.net/watermark/무선청소기_샤오미_T20.png",
//         itemImageUrls: [
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_026.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_135.jpg",
//           "https://m.store.nosearch.com/data/goods/21/09/36/1000000999/1000000999_detail_242.jpg",
//         ],
//       },
//     });

//     expect(wrapper.html().includes("div.specail-price-badge")).toBe(false);
//     expect(wrapper.html().includes("div.instant-discount-badge")).toBe(false);
//   });
//});
