import { mount } from "@vue/test-utils";
import ReviewSummary from "@/components/review/reviewSummary.vue";
import StarRating from "@/components/review/starRating.vue";

describe("starRating.vue", () => {
  it("ReviewSummary - 별점 5개 테스트", async () => {
    const wrapper = mount(StarRating, {
      propsData: {
        rating: "5",
      },
    });

    const reviewStarRatingWrapper = wrapper.find(
      "div.review-summary-star-rating-wrapper"
    );
    const reviewStarRating = reviewStarRatingWrapper.find(
      "div.review-summary-star-rating"
    );
    const reviewStarRatingFill = reviewStarRating.find(
      "div.review-summary-star-rating-fill-review"
    );
    expect(reviewStarRatingFill.findAll("span").length).toBe(5);
    expect(reviewStarRatingFill.attributes().style).toContain("width: 100%;");
    const reviewStarRatingFillSpan = reviewStarRatingFill.find("span");
    expect(reviewStarRatingFillSpan.text()).toContain("★");
    const reviewStarRatingBase = reviewStarRating.find(
      "div.review-summary-star-rating-base-review"
    );
    expect(reviewStarRatingFill.findAll("span").length).toBe(5);
    const reviewStarRatingBaseSpan = reviewStarRatingBase.find("span");
    expect(reviewStarRatingBaseSpan.text()).toContain("★");
    const reviewStarRatingTextWrapper = reviewStarRatingWrapper.find(
      "div.review-summary-star-rating-text-wrapper"
    );
    const reviewStarRatingText = reviewStarRatingTextWrapper.find(
      "div.review-summary-star-rating-text"
    );
    expect(reviewStarRatingText.text()).toContain("5");
    const reviewStarRatingBaseText = reviewStarRatingTextWrapper.find(
      "div.review-summary-star-rating-base-text"
    );
    expect(reviewStarRatingBaseText.text()).toContain("/ 5");
  });

  it("ReviewSummary - 별점 3.5개 테스트", async () => {
    const wrapper = mount(StarRating, {
      propsData: {
        rating: "3.5",
      },
    });

    const reviewStarRatingWrapper = wrapper.find(
      "div.review-summary-star-rating-wrapper"
    );
    const reviewStarRating = reviewStarRatingWrapper.find(
      "div.review-summary-star-rating"
    );
    const reviewStarRatingFill = reviewStarRating.find(
      "div.review-summary-star-rating-fill-review"
    );
    expect(reviewStarRatingFill.findAll("span").length).toBe(5);
    expect(reviewStarRatingFill.attributes().style).toContain("width: 70%;");
    const reviewStarRatingFillSpan = reviewStarRatingFill.find("span");
    expect(reviewStarRatingFillSpan.text()).toContain("★");
    const reviewStarRatingBase = reviewStarRating.find(
      "div.review-summary-star-rating-base-review"
    );
    expect(reviewStarRatingFill.findAll("span").length).toBe(5);
    const reviewStarRatingBaseSpan = reviewStarRatingBase.find("span");
    expect(reviewStarRatingBaseSpan.text()).toContain("★");
    const reviewStarRatingTextWrapper = reviewStarRatingWrapper.find(
      "div.review-summary-star-rating-text-wrapper"
    );
    const reviewStarRatingText = reviewStarRatingTextWrapper.find(
      "div.review-summary-star-rating-text"
    );
    expect(reviewStarRatingText.text()).toContain("3.5");
    const reviewStarRatingBaseText = reviewStarRatingTextWrapper.find(
      "div.review-summary-star-rating-base-text"
    );
    expect(reviewStarRatingBaseText.text()).toContain("/ 5");
  });
});

describe("reviewSummary.vue", () => {
  it("리뷰가 있을 때", async () => {
    const wrapper = mount(ReviewSummary, {
      propsData: {
        reviewAverage: "3.5",
        reviewCount: 50,
        reviewRating1: 0,
        reviewRating2: 0,
        reviewRating3: 3,
        reviewRating4: 12,
        reviewRating5: 35,
      },
    });

    const reviewSummaryWrapper = wrapper.find("div.review-summary-wrapper");
    const reviewScoreBox = reviewSummaryWrapper.find(
      "div.review-summary-score-box"
    );
    expect(reviewScoreBox.findAll("div.review-summary-score-list").length).toBe(
      5
    );
    const reviewScoreList = reviewSummaryWrapper.find(
      "div.review-summary-score-list"
    );
    const reviewScoreText = reviewScoreList.find(
      "div.review-summary-score-text"
    );
    expect(reviewScoreText.text()).toContain("5점");
    expect(reviewScoreText.attributes().style).toContain("font-weight: bold;");
    const reviewScoreGuage = reviewScoreList.find("div.review-summary-gauge");
    expect(reviewScoreGuage.attributes().style).toContain(
      "width: 45.5px; background-color: rgb(62, 121, 255);"
    );
    const reviewScorePercentageText = reviewScoreList.find(
      "div.review-summary-percentage-text"
    );
    expect(reviewScorePercentageText.text()).toContain("35");
    expect(reviewScorePercentageText.attributes().style).toContain(
      "font-size: 12px; font-weight: bold; color: rgb(62, 121, 255);"
    );
  });
});
