import { mount } from "@vue/test-utils";
import TimedealTimer from "@/components/timedealTimer.vue";

describe("timedealTimer.vue", () => {
  it("타임딜 타이머 O", async () => {
    const wrapper = mount(TimedealTimer, {
      propsData: {
        benefitUseType: "periodDiscount",
        periodDiscountStart: "2021-10-07 00:00:00",
        periodDiscountEnd: "2022-12-31 00:00:00",
      },
    });

    const timedealTimer = wrapper.find("div");
    expect(timedealTimer.attributes().style).toBe("display: inherit;");
  });

  it("타임딜 타이머 X =>  benefitUseType이 periodDiscount 아닐 때", async () => {
    const wrapper = mount(TimedealTimer, {
      propsData: {
        benefitUseType: "",
        periodDiscountStart: "2021-10-07 00:00:00",
        periodDiscountEnd: "2022-12-31 00:00:00",
      },
    });

    const timedealTimer = wrapper.find("div");
    expect(timedealTimer.attributes().style).toBe("display: none;");
  });

  it("타임딜 타이머 X => 오늘 날짜가 start와 end 사이에 없을때", async () => {
    const wrapper = mount(TimedealTimer, {
      propsData: {
        benefitUseType: "periodDiscount",
        periodDiscountStart: "2021-10-07 00:00:00",
        periodDiscountEnd: "2021-12-25 00:00:00",
      },
    });

    const timedealTimer = wrapper.find("div");
    expect(timedealTimer.attributes().style).toBe("display: none;");
  });
});
